# std::ranges::subrange<I,S,K>::empty

From cppreference.com
< cpp‎ | ranges‎ | subrange

constexpr bool empty() const; |  | (since C++20)

Checks whether the `subrange` is empty.

### Return value

`begin_``` ==`` `end_`.

### Example

| This section is incomplete Reason: no example

### See also

size | obtains the size of the `subrange` (public member function)
empty (C++17) | checks whether the container is empty (function template)
ranges::empty (C++20) | checks whether a range is empty (customization point object)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/subrange/empty&oldid=176908"